Skip to main content
GET
/
api
/
v1
/
factura
/
client
/
{clientId}
Get factura by client and period
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/factura/client/{clientId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.raul.ugps.io/api/v1/factura/client/{clientId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.raul.ugps.io/api/v1/factura/client/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "client_id": "<string>",
  "fecha": "2023-11-07T05:31:56Z",
  "uf_value": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "total_clp": 123,
  "total_descuento_clp": 123,
  "detalleSubscripciones": [
    {
      "id": 123,
      "subscription_detail_id": "<string>",
      "equipo": "<string>",
      "patente": "<string>",
      "plan_comercial": "<string>",
      "estado": "<string>",
      "precio_uf": 123,
      "precio_clp": 123,
      "dias": 123,
      "child_client_name": "<string>"
    }
  ],
  "detalleVisitas": [
    {
      "id": 123,
      "visit_detail_id": "<string>",
      "tipo_visita": "<string>",
      "patente": "<string>",
      "ciudad": "<string>",
      "direccion": "<string>",
      "fecha_visita": "2023-11-07T05:31:56Z",
      "km_recorridos": 123,
      "moneda": "<string>",
      "costo_visita": 123,
      "costo_por_km": 123,
      "carga_costo_km": true,
      "carga_costo_cliente": true,
      "child_client_name": "<string>"
    }
  ],
  "detalleVentas": [
    {
      "id": 123,
      "subscription_cancellation_id": 123,
      "equipo": "<string>",
      "patente": "<string>",
      "plan_comercial": "<string>",
      "fecha_venta": "2023-11-07T05:31:56Z",
      "motivo_venta": "<string>",
      "moneda": "<string>",
      "monto_venta": 123,
      "child_client_name": "<string>"
    }
  ],
  "descuentosAplicados": [
    {
      "id": "<string>",
      "base_calculo_clp": 123,
      "monto_descuento_clp": 123,
      "motivo": "<string>",
      "tipo_descuento": "<string>",
      "valor": 123,
      "monto_descuento_uf": 123,
      "subscription_name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

clientId
string
required

Query Parameters

year
number
required
Example:

2024

month
number
required
Example:

1

Response

id
number
required
client_id
string
required
fecha
string<date-time>
required
uf_value
number
required
created_at
string<date-time>
required
total_clp
number
total_descuento_clp
number
detalleSubscripciones
object[]
detalleVisitas
object[]
detalleVentas
object[]
descuentosAplicados
object[]